summaryrefslogtreecommitdiffhomepage
path: root/make-tar.sh
diff options
context:
space:
mode:
authorStanislaw Halik <sthalik@misaki.pl>2015-10-21 20:44:33 +0200
committerStanislaw Halik <sthalik@misaki.pl>2015-10-21 20:52:20 +0200
commita815d8dfe1b452e0cab9b588a9d4ec4650a5bdda (patch)
tree12dbf31a6dde154f6fa8bee0669584c217c3fad6 /make-tar.sh
parent757252abb8043909dcd8f1e9dc8c51016f01ee63 (diff)
parentfe3bc42f80bb8cef37dea68539e8a1fd9752baa8 (diff)
Merge branch 'unstable' into trackhattrackhat-1.1p2
* unstable: cmake: update toolchain file shortcuts: fix osx/linux keystrokes persisting cmake: fix copy-paste comment cmake: add toolchain file for OSX cmake: add osx policy to make it shutup x-plane: ignore diagnostic osx: nix warning gitattributes: more text extensions to eol=lf cmake: timestamp logic simplify/fix cmake: no timestamp for tag builds all: update copyright where appropriate all: comments only cmake: regen before making tarball cmake: fix dropbox share invocation tracker: initialize newpose pt: use previous pose on NaN result from POSIT accela: also don't poison ewma state with nans cmake: fix tarball invocation accela: elide NaN output values qfc: elide NaN values pt: reformat more pt: reformat posit pt: refactor auto threshold somewhat pt: rename ill-chosen name pt: switch min/max point size to reals cmake: upload tarball to Dropbox but only if I'm the user cmake: add tarball timestamp so it gets rebuilt cmake: don't regen version if none changed cmake: fix git describe --dirty cmake: retab git module fix tarball target cmake: mark dirty tree cmake: regen tarball even if exists cmake: generate version.cc tracker: check for NaN values accela: don't check NaNs in filter, wrong place cmake: drop -ffast-math, allow for NaN check shortcuts: actually print screen binding works shortcuts: alias right modifier keys to left modifier keys shortcuts: allow for binding scroll lock and pause/break accela: also filter out NaNs on tracking start allow for filter immediate center
Diffstat (limited to 'make-tar.sh')
-rw-r--r--make-tar.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/make-tar.sh b/make-tar.sh
index cd5abc56..3e119d12 100644
--- a/make-tar.sh
+++ b/make-tar.sh
@@ -2,14 +2,24 @@
prefix="$1"
filename="$2"
+bin="$3"
+
+cmake --build "$bin" --target install || exit 1
if : &&
cd $(dirname -- "${prefix}") &&
zip -9r "${filename}" $(basename "${prefix}")
then
- ls -lh -- "${filename}"
- case "$(uname -s)" in
- CYGWIN_*) ls -lh -- "$(cygpath -w -- "$filename")";;
+ case "$USER,$(uname -s)" in
+ # for the script see https://github.com/andreafabrizi/Dropbox-Uploader
+ sthalik,CYGWIN_*)
+ dropbox_uploader.sh -p upload "$filename" /
+ bn="$(basename -- "$filename")"
+ l="$(dropbox_uploader.sh -q share /"$bn")"
+ test -n "$l" && echo -n "$l" | putclip
+ echo $l
+ echo -ne '\a' ;;
+ *) ls -lh -- "${filename}" ;;
esac
else
rm -fv -- "${filename}"